<?php
/*
'**************************************************************************************************
' 程序名称: 爱频道

'**************************************************************************************************
*/
error_reporting(0);
if(!eregi($_SERVER['SERVER_NAME'], $_SERVER['HTTP_REFERER'])) {
	exit("来路不正确！");
}
include "../../include/cctvai.conn.php";
$action=SafeRequest("ac", "get");
$CD_ID=SafeRequest("id", "get");
$Type=str_replace(",", '', $CD_ID);
$error="您访问的Url页面不存在，请检查Url是否正确或包含非法字符！";
if(!IsNumID($Type)) {
	exit(include _cctvai_root_ . "/include/error/content_error.php");
}
global $db;
$sql="Select CD_ID,CD_Name,CD_Url,CD_Server,CD_Singer,CD_Pic,CD_ClassID from " . tname('video') . " where CD_ID=" . $CD_ID . "";
$row=$db->getrow($sql);
$server=$db->getrow("select * from " . tname('server') . " where CD_ID=" . $row['CD_Server'] . "");
$CD_Url=$row['CD_Url'];
$playurl=$server['CD_Url'].urlencode(mb_convert_encoding($CD_Url,'utf-8','gb2312' ));
$playurl=str_replace('%2F','/',$playurl);
$playurl=str_replace('+',' ',$playurl);
echo '<list><m type="2" src="' . $playurl . '" label="' . $row['CD_Name'] . '" image="' . LinkPicUrl($row['CD_Pic']) . '" _id="' . $row['CD_ID'] . '"  _downurl="'.DownLinkUrl(cd_webmlvideo,$row['CD_ID']).'"/></list>';
?>